KContextMenuManager Class Reference

`#include <kcmenumngr.h>`

Inherits QObject.

## Static Public Member Functions

static void | insert (QWidget *widget, QPopupMenu *popup)
static bool | showOnButtonPress (void)

## Friends

class | I_really_like_this_class

## Detailed Description

Convenience class to mangage context menus.

Author
  Matthias Ettrich ettri.nosp@m.ch@k.nosp@m.de.or.nosp@m.g

KContextMenuManager manages configurable context popup menus. Instead of reimplementing QWidget::mousePressEvent() or QWidget::mouseReleaseEvent() and/or QWidget::keyPressEvent(), simply create the popup menu and insert it into the context menu manager with the static function insert().

Example:

KContextMenuManager::insert( myWidget, myPopupMenu );

Context menus are invoked with either a special shortcut key (usually the menu key) or the right mouse button.

Menus are configurable in the [ContextMenus] group of the application's configuration file, usually in kdeglobals:

[ContextMenus]
ShowOnPress=true|false

`ShowOnPress` defines whether the menu shall be shown on mouse press or on mouse release.

The shortcut key to invoke the context menu is defined in the standard [Keys] section of the application configuration:

[Keys]
...
PopupContextMenu=Menu
...

The key can be configured with the standard keys module in the KDE control center.

If the popup menu is invoked with the keyboard shortcut, it's shown at the position of the micro focus hint of the widget ( QWidget::microFocusHint() ).

Definition at line 76 of file kcmenumngr.h.

## Member Function Documentation

void KContextMenuManager::insert | ( | QWidget * | widget,
|  | QPopupMenu * | popup
| ) |  |

static

Makes `popup` a context popup menu for widget `widget`.

Ownership of the popup menu is not transferred to the context menu manager.

Definition at line 57 of file kcmenumngr.cpp.

bool KContextMenuManager::showOnButtonPress | ( | void |  | ) |

static

Use this method to get information about when a popup menu should be activated.

This can be useful if the popup menu is to be activated from a listview.

Returns
  true if the menu should be made visible on a button press or false after a button press-release sequence.

Definition at line 49 of file kcmenumngr.cpp.

The documentation for this class was generated from the following files:

- kcmenumngr.h
- kcmenumngr.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys